Subject: bug#23377: 25.0.93; Completion is extremely slow for insert-char

From: Eli Zaretskii <[email-masked]>
Date: Tue, 26 Apr 2016 09:26:49 +0300

> From: [email-masked] (N. Jackson)
> Date: Mon, 25 Apr 2016 21:25:28 -0300
> 
> emacs -Q
> C-x 8 RET TAB
> 
> This takes over a minute on my Emacs before the completions buffer is
> displayed listing the characters. (On subsequent invocations, it's more
> like eight seconds.) On Emacs 24 it is effectively instantaneous.

It takes 11 sec here on the first invocation, and is instantaneous
thereafter.

> There seems to have been a change whereby the character is shown besides
> it's name. This might be a very nice feature, except that it's too slow,
> and it seems a bit of a waste because a large proportion of the
> characters are unavailable and are shown as little boxes with tiny
> numbers inside.

If you install additional fonts, the feature will not be wasted, I
suppose.

> Perhaps there should be a way to turn this feature off? (I don't see
> anything about insert-char in NEWS.)

Yes, an option to turn this off is a good idea, I think.

> By the way, yes, this is the way I usually use this command. I hit TAB
> immediately to get a full list of characters and then `C-x o C-x 1'
> because I don't use special characters often enough to remember their
> names and I need to get thoroughly immersed in the whole list to see the
> naming patterns again and jog my memory.

That doesn't really work for me, FWIW.  For example, try deciding
which quotation character do you need by typing

  C-x 8 RET *QUOT TAB

If you don't see each character, you will be lost (I am).